# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "cala-ledger-core-types"
version = "0.2.41"
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core types for cala"
readme = false
license = "Apache-2.0"
repository = "https://github.com/GaloyMoney/cala"

[lib]
name = "cala_ledger_core_types"
path = "src/lib.rs"

[[bin]]
name = "cala-ledger-core-types"
path = "src/main.rs"

[dependencies.cel-interpreter]
version = "0.2.41"
package = "cala-cel-interpreter"

[dependencies.chrono]
version = "0.4.31"
features = [
    "clock",
    "serde",
]
default-features = false

[dependencies.derive_builder]
version = "0.20.0"

[dependencies.rust_decimal]
version = "1.35.0"

[dependencies.rusty-money]
version = "0.4"
features = [
    "iso",
    "crypto",
]

[dependencies.serde]
version = "1.0.208"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.124"

[dependencies.sqlx]
version = "0.8"
features = [
    "runtime-tokio-rustls",
    "postgres",
    "rust_decimal",
    "uuid",
    "chrono",
    "json",
]

[dependencies.thiserror]
version = "1.0.63"

[dependencies.uuid]
version = "1.10"
features = [
    "serde",
    "v4",
]

[features]
fail-on-warnings = []
